package br.com.urano.gui;

import javax.print.attribute.AttributeSet;
import javax.swing.text.BadLocationException;
import javax.swing.text.PlainDocument;

public class LimitaNroCaracteres extends PlainDocument {
	
	 private int iMaxLength;
	    public LimitaNroCaracteres(int maxlen) {
	        super();
	        iMaxLength = maxlen;
	    }
	    public void insertString(int offset, String str, AttributeSet attr)
	                    throws BadLocationException {
	        //if (s == null) return;
	        if (iMaxLength <= 0)        // aceitara qualquer no. de caracteres
	        {
	            super.insertString(offset, str.toUpperCase(), (javax.swing.text.AttributeSet) attr);
	            return;
	        }
	        int ilen = (getLength() + str.length());
	        if (ilen <= iMaxLength)    // se o comprimento final for menor...
	            super.insertString(offset, str.toUpperCase(), (javax.swing.text.AttributeSet) attr);   // ...aceita str
	        }

}
