package br.com.urano.gui;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;
import javax.swing.border.EmptyBorder;
import javax.swing.border.TitledBorder;

import br.com.urano.gui.UranoPosDll;
import gnu.io.CommPortIdentifier;

import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ItemEvent;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.Enumeration;
import java.awt.event.ActionEvent;
import com.sun.jna.Native;
import java.awt.Font;
import java.awt.TextArea;

import javax.swing.Box;
import javax.swing.JTextArea;
import javax.swing.border.LineBorder;
import java.awt.Button;
import java.awt.Panel;
import java.awt.FlowLayout;
import javax.swing.border.BevelBorder;
import javax.swing.JTextField;
import javax.swing.SwingUtilities;
import java.awt.SystemColor;
import javax.swing.DefaultComboBoxModel;
import javax.swing.border.MatteBorder;
import javax.swing.border.CompoundBorder;
import javax.swing.SwingConstants;

public class TelaPrincipal extends JFrame {

	private JComboBox io_cb_portas;
	private Enumeration<CommPortIdentifier> io_portas_disponiveis = CommPortIdentifier.getPortIdentifiers();
	private CommPortIdentifier io_porta_selecionada;
	private ArrayList<String> io_al_portas = new ArrayList<String>();
	private OutputStream lo_saida;

	String sTexto;

	private JPanel contentPane;
	private JButton btnSair;
	private JPanel panel_1;
	private JLabel lblEndIp;
	private JTextField TxIP;
	private JButton btnAbrirSocket;
	private JButton btnFecharSocket;
	private JPanel panel_2;
	private JPanel panel_3;
	private JLabel label;
	private JLabel lblStatusConexao;
	private JComboBox cbxPortaImp;
	private JComboBox cbxModImp;
	private JButton btnAbrirPorta;
	private JButton btnFecharPorta;
	private JLabel lblModeloImpressora;
	private JButton btnLeVersao;
	private JPanel panel_5;
	private JButton btnAcionaguilhotina;
	private JButton btnAbregaveta;
	private JButton btnLestatus;
	private JButton btnLestatusgaveta;
	private JButton btnAutoteste;
	private static UranoPosDll dll;
	private JPanel panel_6;
	private JLabel lblCodecst;
	private JTextField txCode128C;
	private JLabel lblVrgulaESem;
	private JPanel panel_7;
	private JLabel lblLogoMarca;
	private JButton btnImprimelogo;
	private JComboBox cbNLogo;
	private JComboBox cbPosLogo;
	private JComboBox cbTamImg;
	private JLabel lblNewLabel_2;
	private JLabel lblPosio;
	private JLabel lblTamanhoImagem;
	private JPanel panel_8;
	private JPanel panel_9;
	private JLabel lblComandotx;
	private JTextField txComandoTx;
	private JButton btnComandotx;
	private JLabel lblPermiteEnviarComandos;
	private JLabel lblValorDoTipo;
	private JLabel lblVrgulaEx;
	private JLabel lblCdigoDeBarras;
	private JTextField txCodBarras;
	private JButton btnImCodBarras;
	private JComboBox cbPosCodBarras;
	private JComboBox cbModCodBarras;
	private JComboBox cbAltBarras;
	private JComboBox cbLargBarras;
	private JComboBox cbLHBarras;
	private JTextField txAvLinhas;
	private JTextField txImpTexto;
	private JLabel lblModQr;
	private JComboBox cbModQR;
	private JLabel lblTamQr;
	private JComboBox cbTamQR;
	private JLabel lblNvelCorreo;
	private JComboBox cbNcQR;
	private JLabel lblInformeAString_1;
	private JTextField txStringQR;
	private JLabel lblZp;
	private JButton btnImpQRM1;
	private JLabel lblZp_1;
	private JButton btnImpQR_M2;
	private JPanel panel_12;
	private JLabel lblComandosPdf;
	private JLabel lblPosioPdf;
	private JComboBox cbPosPDF;
	private JLabel lblNCaracL;
	private JComboBox cbNCarLinhas;
	private JLabel lblRelXy;
	private JComboBox cbRelXY;
	private JLabel label_6;
	private JComboBox cbNcPDF;
	private JLabel lblInformeAString_2;
	private JTextField txImpPDF;
	private JButton btnPDF417;
	private JPanel panel_13;
	private JLabel lblComandoDatamatrixzp;
	private JLabel lblPosioDmx;
	private JComboBox cbPosDMX;
	private JLabel lblAltura_1;
	private JComboBox cbAltDMX;
	private JLabel lblLargura;
	private JComboBox cbLargDMX;
	private JLabel lblTam;
	private JComboBox cbTamDMX;
	private JLabel lblInformeAString_3;
	private JTextField txImpDMX;
	private JButton btnDatamatrix;
	private JComboBox cbFonteTx;
	private JComboBox cbPosTx;
	private JComboBox cbEspLTx;
	private JComboBox cbNegritoTx;
	private JComboBox cbTxFormatado;
	private JButton btnImpTexto;
	private JButton btnExCupom;
	private JButton btnStrLen;
	private JButton btn180;
	private JButton btnTextolf;
	private JButton btnTxInvertido;
	private JButton btnTxformatado;
	private JComboBox cbPosQR;

	/**
	 * Launch the application.
	 */

	private void CapturarPortaDisponivel() {
		//
		// Enquanto h porta disponvel...
		//
		while (io_portas_disponiveis.hasMoreElements()) {
			//
			// Armazena a porta no array.
			//
			io_al_portas.add(io_portas_disponiveis.nextElement().getName());
		}
	}

	public int BuscarModeloImp() {

		int modImp = 0;

		// Carregando a DLL
		// LePesoDLL dll = (LePesoDLL) Native.loadLibrary("LePeso.dll",
		// LePesoDLL.class);

		if (cbxModImp.getModel().getSelectedItem().toString() == "ZP250-USE") {
			// JOptionPane.showMessageDialog(null, "ZP250-USE");
			modImp = 2;
		} else if (cbxModImp.getModel().getSelectedItem().toString() == "ZP250-U") {
			// JOptionPane.showMessageDialog(null, "ZP250-U");
			modImp = 0;
		} else if (cbxModImp.getModel().getSelectedItem().toString() == "ZP250-E") {
			// JOptionPane.showMessageDialog(null, "ZP250-E");
			modImp = 0;
		} else if (cbxModImp.getModel().getSelectedItem().toString() == "ZP250-US-QR") {
			// JOptionPane.showMessageDialog(null, "ZP250-US-QR");
			modImp = 0;
		} else if (cbxModImp.getModel().getSelectedItem().toString() == "ZP80-UW") {
			// JOptionPane.showMessageDialog(null, "ZP80-UW");
			modImp = 1;
		} else if (cbxModImp.getModel().getSelectedItem().toString() == "ZP80-UBT") {
			// JOptionPane.showMessageDialog(null, "ZP80-UBT");
			modImp = 3;
		} else if (cbxModImp.getModel().getSelectedItem().toString() == "ZP220-UBT") {
			// JOptionPane.showMessageDialog(null, "ZP220-UBT");
			modImp = 3;
		} else if (cbxModImp.getModel().getSelectedItem().toString() == "ZP160-W") {
			// JOptionPane.showMessageDialog(null, "ZP160-W");
			modImp = 1;
		} else if (cbxModImp.getModel().getSelectedItem().toString() == "ZP300") {
			// JOptionPane.showMessageDialog(null, "ZP300");
			modImp = 1;
		} else if (cbxModImp.getModel().getSelectedItem().toString() == "ZK300") {
			// JOptionPane.showMessageDialog(null, "ZK300");
			modImp = 1;
		} else if (cbxModImp.getModel().getSelectedItem().toString() == "ZP500-US-QR") {
			// JOptionPane.showMessageDialog(null, "ZP500-US-QR");
			modImp = 0;
		} else if (cbxModImp.getModel().getSelectedItem().toString() == "ZP200-US-QR") {
			// JOptionPane.showMessageDialog(null, "ZP200-US-QR");
			modImp = 0;
		} else if (cbxModImp.getModel().getSelectedItem().toString() == "ZP1FIT-S-QR") {
			// JOptionPane.showMessageDialog(null, "ZP1FIT-S-QR");
			modImp = 0;
		}

		return modImp;

	}

	private void Window() {

	}

	private static void CarregaDLL() {

		dll = (UranoPosDll) Native.loadLibrary("UranoPos.dll", UranoPosDll.class);

	}

	private void CapturarPortaSerial() {
		CapturarPortaDisponivel();
		Window();
	}

	public static void main(String[] args) {

		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {

					TelaPrincipal frame = new TelaPrincipal();
					frame.setVisible(true);
					// Carregando a DLL
					CarregaDLL();
					// CapturarPortaDisponivel();
					// Window();
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 * 
	 * @throws UnsupportedLookAndFeelException
	 * @throws IllegalAccessException
	 * @throws InstantiationException
	 * @throws ClassNotFoundException
	 */
	public TelaPrincipal() throws ClassNotFoundException, InstantiationException, IllegalAccessException,
			UnsupportedLookAndFeelException {

		setTitle("Exemplo Java -  Comandos  UranoPos.DLL (32 bits)");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 959, 685);
		contentPane = new JPanel();
		setLocationRelativeTo(null);
		contentPane.setBorder(new CompoundBorder());
		setContentPane(contentPane);
		contentPane.setLayout(null);

		JPanel panel = new JPanel();
		panel.setBounds(10, 11, 390, 170);
		contentPane.add(panel);

		panel.setBorder(new LineBorder(new Color(0, 0, 0), 1, true));
		panel.setLayout(null);

		UIManager.LookAndFeelInfo[] instalados = UIManager.getInstalledLookAndFeels();
		UIManager.setLookAndFeel(instalados[1].getClassName());
		SwingUtilities.updateComponentTreeUI(this);

		CapturarPortaDisponivel();
		Window();

		JLabel lblTiposDeConexo = new JLabel("Tipos de Conex\u00E3o");
		lblTiposDeConexo.setFont(new Font("Segoe UI", Font.BOLD, 12));
		lblTiposDeConexo.setBounds(10, 6, 100, 20);
		panel.add(lblTiposDeConexo);

		panel_1 = new JPanel();
		panel_1.setBackground(SystemColor.controlShadow);
		panel_1.setBorder(new BevelBorder(BevelBorder.RAISED, null, null, null, null));
		panel_1.setBounds(139, 33, 120, 128);
		panel.add(panel_1);
		panel_1.setLayout(null);

		lblEndIp = new JLabel("End IP:");
		lblEndIp.setFont(new Font("Segoe UI", Font.BOLD, 12));
		lblEndIp.setBounds(10, 13, 81, 20);
		panel_1.add(lblEndIp);

		TxIP = new JTextField();
		TxIP.setText("192.168.1.87");
		TxIP.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		TxIP.setColumns(10);
		TxIP.setBounds(10, 35, 81, 24);
		panel_1.add(TxIP);

		btnAbrirSocket = new JButton("AbrirSocket");
		btnAbrirSocket.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {

				int modImp;
				int status;

				modImp = BuscarModeloImp();

				status = dll.AbreSocket(TxIP.getText().toString(), modImp);

				try {
					if (status == 1) {

						btnAbrirPorta.setEnabled(false);
						btnAbrirSocket.setEnabled(false);
						btnFecharSocket.setEnabled(true);
						btnFecharPorta.setEnabled(false);
						lblStatusConexao.setText("Conectado");
						lblStatusConexao.setForeground(Color.BLUE);
						lblStatusConexao.setBounds(18, 6, 81, 16);
						JOptionPane.showMessageDialog(null, "Conexao realizada com sucesso!");
					} else if (status == 0) {
						JOptionPane.showMessageDialog(null, "Impossivel conectar");

					}
				} catch (Exception ex) {

					JOptionPane.showMessageDialog(null, "Erro ao abrir a Socket");

				}

			}
		});
		btnAbrirSocket.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnAbrirSocket.setBounds(10, 63, 99, 24);
		panel_1.add(btnAbrirSocket);

		btnFecharSocket = new JButton("FecharSocket");
		btnFecharSocket.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {

				int status;

				status = dll.FechaSocket();

				try {
					if (status == 1) {

						btnAbrirPorta.setEnabled(true);
						btnAbrirSocket.setEnabled(true);
						btnFecharSocket.setEnabled(false);
						btnFecharPorta.setEnabled(false);
						lblStatusConexao.setText("Desconectado");
						lblStatusConexao.setForeground(Color.RED);
						lblStatusConexao.setBounds(7, 6, 81, 16);
						JOptionPane.showMessageDialog(null, "Conexao encerrrada com sucesso!");
					} else if (status == 0) {
						JOptionPane.showMessageDialog(null, "Impossivel encerrrada a conexo");

					}
				} catch (Exception ex) {

					JOptionPane.showMessageDialog(null, "Erro ao encerrar Socket");

				}

			}
		});
		btnFecharSocket.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnFecharSocket.setEnabled(false);
		btnFecharSocket.setBounds(10, 92, 99, 24);
		panel_1.add(btnFecharSocket);

		panel_2 = new JPanel();
		panel_2.setLayout(null);
		panel_2.setBorder(new BevelBorder(BevelBorder.RAISED, null, null, null, null));
		panel_2.setBackground(SystemColor.controlShadow);
		panel_2.setBounds(10, 33, 120, 128);
		panel.add(panel_2);

		label = new JLabel("Porta Serial:");
		label.setFont(new Font("Segoe UI", Font.BOLD, 12));
		label.setBounds(10, 13, 81, 20);
		panel_2.add(label);

		cbxPortaImp = new JComboBox(io_al_portas.toArray());
		cbxPortaImp.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbxPortaImp.setBounds(10, 35, 81, 24);
		panel_2.add(cbxPortaImp);

		btnAbrirPorta = new JButton("AbrirPorta");
		btnAbrirPorta.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				int modImp = 0;
				int status;

				modImp = BuscarModeloImp();

				status = dll.AbrePortaSerial(cbxPortaImp.getSelectedItem().toString(), modImp);

				try {
					if (status == 1) {

						btnAbrirPorta.setEnabled(false);
						btnFecharPorta.setEnabled(true);
						lblStatusConexao.setText("Conectado");
						lblStatusConexao.setForeground(Color.BLUE);
						lblStatusConexao.setBounds(18, 6, 81, 16);

						JOptionPane.showMessageDialog(null, "Conexao realizada com sucesso!");
					} else if (status == 0) {
						JOptionPane.showMessageDialog(null, "Impossivel conectar na porta");

					}
				} catch (Exception ex) {

					JOptionPane.showMessageDialog(null, "Erro ao abrir a COM");

				}

			}
		});
		btnAbrirPorta.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnAbrirPorta.setBounds(11, 63, 99, 24);
		panel_2.add(btnAbrirPorta);

		btnFecharPorta = new JButton("FecharPorta");
		btnFecharPorta.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {

				int status;

				status = dll.FechaPortaSerial();

				try {
					if (status == 1) {

						btnAbrirPorta.setEnabled(true);
						btnFecharPorta.setEnabled(false);
						lblStatusConexao.setText("Desconectado");
						lblStatusConexao.setForeground(Color.RED);
						lblStatusConexao.setBounds(7, 6, 81, 16);
						JOptionPane.showMessageDialog(null, "Conexao encerrrada com sucesso!");
					} else if (status == 0) {
						JOptionPane.showMessageDialog(null, "Impossivel encerrrada a conexo");

					}
				} catch (Exception ex) {

					JOptionPane.showMessageDialog(null, "Erro ao encerrar a COM");

				}
			}
		});
		btnFecharPorta.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnFecharPorta.setEnabled(false);
		btnFecharPorta.setBounds(10, 92, 99, 24);
		panel_2.add(btnFecharPorta);

		lblModeloImpressora = new JLabel("Modelo Impressora");
		lblModeloImpressora.setFont(new Font("Segoe UI", Font.BOLD, 12));
		lblModeloImpressora.setBounds(271, 6, 110, 20);
		panel.add(lblModeloImpressora);

		cbxModImp = new JComboBox();
		cbxModImp.setModel(new DefaultComboBoxModel(
				new String[] { "ZP250-USE", "ZP250-U", "ZP250-E", "ZP250-US-QR", "ZP160-W", "ZP300", "ZK300",
						"ZP80-UBT", "ZP80-UW", "ZP220-UBT", "ZP500-US-QR", "ZP200-US-QR", "ZP1FIT-S-QR" }));
		cbxModImp.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbxModImp.setBounds(271, 33, 110, 24);
		panel.add(cbxModImp);

		panel_3 = new JPanel();
		panel_3.setBorder(new BevelBorder(BevelBorder.RAISED, null, null, null, null));
		panel_3.setBounds(271, 60, 110, 59);
		panel.add(panel_3);
		panel_3.setLayout(null);

		JLabel lblConexao = new JLabel("Status Conex\u00E3o");
		lblConexao.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblConexao.setBounds(13, 4, 81, 16);
		panel_3.add(lblConexao);

		JPanel panel_4 = new JPanel();
		panel_4.setBorder(new BevelBorder(BevelBorder.RAISED, null, null, null, null));
		panel_4.setBounds(6, 23, 98, 28);
		panel_3.add(panel_4);
		panel_4.setLayout(null);

		lblStatusConexao = new JLabel("Desconectado");
		lblStatusConexao.setForeground(Color.RED);
		lblStatusConexao.setFont(new Font("Segoe UI", Font.BOLD, 12));
		lblStatusConexao.setBounds(7, 5, 81, 16);
		panel_4.add(lblStatusConexao);

		btnLeVersao = new JButton("VersaoDLL");
		btnLeVersao.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {

				// Carregando a DLL
				// UranoPosDll dll = (UranoPosDll)
				// Native.loadLibrary("UranoPos.dll", UranoPosDll.class);
				String retorno;

				retorno = dll.Le_VersaoDLL();

				JOptionPane.showMessageDialog(null, retorno);
			}
		});
		btnLeVersao.setBounds(271, 125, 110, 24);
		panel.add(btnLeVersao);

		btnSair = new JButton("Sair");
		btnSair.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {

				System.exit(0);

			}
		});
		btnSair.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnSair.setBounds(827, 616, 107, 24);
		contentPane.add(btnSair);

		panel_5 = new JPanel();
		panel_5.setBorder(new LineBorder(new Color(0, 0, 0), 1, true));
		panel_5.setBounds(10, 186, 130, 172);
		contentPane.add(panel_5);
		panel_5.setLayout(null);

		btnAcionaguilhotina = new JButton("AcionaGuilhotina");
		btnAcionaguilhotina.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {

				int retorno = 0;

				retorno = dll.AcionaGuilhotina();

			}
		});
		btnAcionaguilhotina.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnAcionaguilhotina.setBounds(6, 4, 121, 24);
		panel_5.add(btnAcionaguilhotina);

		btnAbregaveta = new JButton("AbreGaveta");
		btnAbregaveta.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {

				int retorno = 0;

				retorno = dll.Abre_Gaveta();

			}
		});
		btnAbregaveta.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnAbregaveta.setBounds(6, 38, 121, 24);
		panel_5.add(btnAbregaveta);

		btnLestatus = new JButton("Le_Status");
		btnLestatus.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {

				int retorno = 0;

				retorno = dll.Le_Status();

				switch (retorno) {
				case 1:
					JOptionPane.showMessageDialog(null, "Erro de comunicao / Impressora OFFLINE.");
					break;
				case 5:
					JOptionPane.showMessageDialog(null, "Gaveta Aberta / Tampa Aberta / Sem Papel.");
					break;
				case 9:
					JOptionPane.showMessageDialog(null, "Tampa aberta / Sem Papel");
					break;
				case 24:
					JOptionPane.showMessageDialog(null, "Impressora ONLINE.");
					break;
				case 32:
					JOptionPane.showMessageDialog(null, "Gaveta Aberta.");
					break;

				default:

				}

			}
		});
		btnLestatus.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnLestatus.setBounds(6, 73, 121, 24);
		panel_5.add(btnLestatus);

		btnLestatusgaveta = new JButton("Le_Status_Gaveta");
		btnLestatusgaveta.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {

				int retorno = 0;

				retorno = dll.Le_Status_Gaveta();

				switch (retorno) {
				case 1:
					JOptionPane.showMessageDialog(null, "Gaveta Aberta.");
					break;
				case 2:
					JOptionPane.showMessageDialog(null, "Gaveta Fechada.");
					break;

				default:

				}

			}
		});
		btnLestatusgaveta.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnLestatusgaveta.setBounds(6, 108, 121, 24);
		panel_5.add(btnLestatusgaveta);

		btnAutoteste = new JButton("AutoTeste");
		btnAutoteste.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {

				int retorno = 0;

				retorno = dll.ImprimeAutoTeste();

			}
		});
		btnAutoteste.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnAutoteste.setBounds(6, 142, 121, 24);
		panel_5.add(btnAutoteste);

		panel_6 = new JPanel();
		panel_6.setBorder(new LineBorder(new Color(0, 0, 0), 1, true));
		panel_6.setBounds(152, 186, 248, 93);
		contentPane.add(panel_6);
		panel_6.setLayout(null);

		lblCodecst = new JLabel("Code128C-S@T");
		lblCodecst.setFont(new Font("Segoe UI", Font.BOLD, 12));
		lblCodecst.setBounds(6, 6, 92, 20);
		panel_6.add(lblCodecst);

		txCode128C = new JTextField();
		txCode128C.setText("43,16,07,90,18,06,21,00,01,97,65,03,00,00,02,23,35,10,00,22,33,50");
		txCode128C.setBounds(6, 28, 235, 28);
		txCode128C.setCaretPosition(0); // Posiciona a Esquerda do Texto
		panel_6.add(txCode128C);
		txCode128C.setColumns(10);

		JButton btnImprimecodec = new JButton("ImprimeCode128C");
		btnImprimecodec.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {

				int retorno = 0;

				/*
				 * Posio: 0 = Esquerda, 1=Centro, 2=Direita Altura: 0, 1, 2;
				 * Largura: 0,1, 2;
				 */
				// TxIP.getText().toString()
				if (cbxModImp.getModel().getSelectedItem().toString() == "ZP300") {

					dll.ImprimeCode128_C(txCode128C.getText().toString(), 1, 1, 2);

				} else {

					dll.ImprimeCode128C(txCode128C.getText().toString(), 1, 1);

				}

			}
		});
		btnImprimecodec.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnImprimecodec.setBounds(114, 4, 127, 24);
		panel_6.add(btnImprimecodec);

		JLabel lblNewLabel_1 = new JLabel("Insira os 22 pares separados por");
		lblNewLabel_1.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblNewLabel_1.setBounds(10, 56, 191, 16);
		panel_6.add(lblNewLabel_1);

		lblVrgulaESem = new JLabel("v\u00EDrgula e sem espa\u00E7os entre eles.");
		lblVrgulaESem.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblVrgulaESem.setBounds(10, 73, 191, 16);
		panel_6.add(lblVrgulaESem);

		panel_7 = new JPanel();
		panel_7.setBorder(new LineBorder(new Color(0, 0, 0), 1, true));
		panel_7.setBounds(152, 283, 248, 75);
		contentPane.add(panel_7);
		panel_7.setLayout(null);

		lblLogoMarca = new JLabel("Logo Marca");
		lblLogoMarca.setFont(new Font("Segoe UI", Font.BOLD, 12));
		lblLogoMarca.setBounds(6, 6, 72, 20);
		panel_7.add(lblLogoMarca);

		btnImprimelogo = new JButton("ImprimeLogo");
		btnImprimelogo.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {

				int NMem = 0, PosLogo = 0, TamImg = 0, retorno = 0;

				if (cbNLogo.getSelectedItem().toString() == "1") {
					NMem = 1;
				} else if (cbNLogo.getSelectedItem().toString() == "2") {
					NMem = 2;
				} else if (cbNLogo.getSelectedItem().toString() == "3") {
					NMem = 3;
				} else if (cbNLogo.getSelectedItem().toString() == "4") {
					NMem = 4;
				} else if (cbNLogo.getSelectedItem().toString() == "5") {
					NMem = 5;
				}

				if (cbPosLogo.getSelectedItem().toString() == "Esquerda") {
					PosLogo = 0;
				} else if (cbPosLogo.getSelectedItem().toString() == "Centro") {
					PosLogo = 1;
				} else if (cbPosLogo.getSelectedItem().toString() == "Direita") {
					PosLogo = 2;
				}

				if (cbTamImg.getSelectedItem().toString() == "Normal") {
					TamImg = 0;
				} else if (cbTamImg.getSelectedItem().toString() == "2x Largura") {
					TamImg = 1;
				} else if (cbTamImg.getSelectedItem().toString() == "2x Altura") {
					TamImg = 2;
				} else if (cbTamImg.getSelectedItem().toString() == "2x Alt/Larg") {
					TamImg = 3;
				}

				retorno = dll.ImprimeLogoNV(NMem, PosLogo, TamImg);

			}
		});
		btnImprimelogo.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnImprimelogo.setBounds(142, 3, 100, 24);
		panel_7.add(btnImprimelogo);

		cbNLogo = new JComboBox(new Object[] {});
		cbNLogo.setModel(new DefaultComboBoxModel(new String[] { "1", "2", "3", "4", "5" }));
		cbNLogo.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbNLogo.setBounds(6, 46, 57, 24);
		panel_7.add(cbNLogo);

		cbPosLogo = new JComboBox(new Object[] {});
		cbPosLogo.setModel(new DefaultComboBoxModel(new String[] { "Centro", "Direita", "Esquerda" }));
		cbPosLogo.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbPosLogo.setBounds(65, 46, 81, 24);
		panel_7.add(cbPosLogo);

		cbTamImg = new JComboBox(new Object[] {});
		cbTamImg.setModel(
				new DefaultComboBoxModel(new String[] { "Normal", "2x Largura", "2x Altura", "2x Alt/Larg" }));
		cbTamImg.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbTamImg.setBounds(152, 46, 90, 24);
		panel_7.add(cbTamImg);

		lblNewLabel_2 = new JLabel("N\u00BA Logo");
		lblNewLabel_2.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblNewLabel_2.setBounds(6, 28, 55, 16);
		panel_7.add(lblNewLabel_2);

		lblPosio = new JLabel("Posi\u00E7\u00E3o");
		lblPosio.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblPosio.setBounds(65, 28, 55, 16);
		panel_7.add(lblPosio);

		lblTamanhoImagem = new JLabel("Tamanho IMG");
		lblTamanhoImagem.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblTamanhoImagem.setBounds(152, 28, 81, 16);
		panel_7.add(lblTamanhoImagem);

		panel_8 = new JPanel();
		panel_8.setBorder(new LineBorder(new Color(0, 0, 0), 1, true));
		panel_8.setBounds(10, 364, 390, 105);
		contentPane.add(panel_8);
		panel_8.setLayout(null);

		lblCdigoDeBarras = new JLabel("C\u00F3digo de Barras");
		lblCdigoDeBarras.setFont(new Font("Segoe UI", Font.BOLD, 12));
		lblCdigoDeBarras.setBounds(6, 6, 103, 20);
		panel_8.add(lblCdigoDeBarras);

		txCodBarras = new JTextField();
		txCodBarras.setText("123456789012");
		txCodBarras.setBounds(6, 26, 256, 28);
		panel_8.add(txCodBarras);
		txCodBarras.setColumns(10);

		btnImCodBarras = new JButton("ImpCodBarras");
		btnImCodBarras.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {

				int PosCod = 0, ModCod = 0, AltCod = 0, LargCod = 0, LHBarras = 0, retorno = 0;

				if (cbPosCodBarras.getSelectedItem().toString() == "Esquerda") {
					PosCod = 0;
				} else if (cbPosCodBarras.getSelectedItem().toString() == "Centro") {
					PosCod = 1;
				} else if (cbPosCodBarras.getSelectedItem().toString() == "Direita") {
					PosCod = 2;
				}

				if (cbModCodBarras.getSelectedItem().toString() == "UPC-A") {
					ModCod = 0;
				} else if (cbModCodBarras.getSelectedItem().toString() == "UPC-E") {
					ModCod = 1;
				} else if (cbModCodBarras.getSelectedItem().toString() == "EAN-13") {
					//txCodBarras.setDocument(new LimitaNroCaracteres(13));
					ModCod = 2;
				} else if (cbModCodBarras.getSelectedItem().toString() == "EAN-8") {
					ModCod = 3;
				} else if (cbModCodBarras.getSelectedItem().toString() == "CODE39") {
					ModCod = 4;
				} else if (cbModCodBarras.getSelectedItem().toString() == "ITF-25") {
					ModCod = 5;
				} else if (cbModCodBarras.getSelectedItem().toString() == "CODABAR") {
					ModCod = 6;
				} else if (cbModCodBarras.getSelectedItem().toString() == "CODE93") {
					ModCod = 7;
				} else if (cbModCodBarras.getSelectedItem().toString() == "CODE128") {
					ModCod = 8;
				} else if (cbModCodBarras.getSelectedItem().toString() == "EAN128") {
					ModCod = 9;
				}

				if (cbAltBarras.getSelectedItem().toString() == "0") {
					AltCod = 0;
				} else if (cbAltBarras.getSelectedItem().toString() == "1") {
					AltCod = 1;
				} else if (cbAltBarras.getSelectedItem().toString() == "2") {
					AltCod = 2;
				}

				if (cbLargBarras.getSelectedItem().toString() == "0") {
					LargCod = 0;
				} else if (cbLargBarras.getSelectedItem().toString() == "1") {
					LargCod = 1;
				} else if (cbLargBarras.getSelectedItem().toString() == "2") {
					LargCod = 2;
				} else if (cbLargBarras.getSelectedItem().toString() == "3") {
					LargCod = 3;
				}

				if (cbLHBarras.getSelectedItem().toString() == "0-NAO") {
					LHBarras = 0;
				} else if (cbLHBarras.getSelectedItem().toString() == "1-ACIMA") {
					LHBarras = 1;
				} else if (cbLHBarras.getSelectedItem().toString() == "2-ABAIXO") {
					LHBarras = 2;
				} else if (cbLHBarras.getSelectedItem().toString() == "3-AMBOS") {
					LHBarras = 3;
				}

				retorno = dll.ImprimeCodigoBarras_C(PosCod, ModCod, AltCod, LargCod, LHBarras,
						txCodBarras.getText().toString().trim());
						

			}
		});
		btnImCodBarras.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnImCodBarras.setBounds(263, 26, 121, 24);
		panel_8.add(btnImCodBarras);

		JLabel label_1 = new JLabel("Posi\u00E7\u00E3o");
		label_1.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		label_1.setBounds(6, 57, 55, 16);
		panel_8.add(label_1);

		cbPosCodBarras = new JComboBox(new Object[] {});
		cbPosCodBarras.setModel(new DefaultComboBoxModel(new String[] { "Centro", "Direita", "Esquerda" }));
		cbPosCodBarras.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbPosCodBarras.setBounds(6, 75, 82, 24);
		panel_8.add(cbPosCodBarras);

		JLabel lblModelo = new JLabel("Modelo");
		lblModelo.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblModelo.setBounds(97, 57, 55, 16);
		panel_8.add(lblModelo);

		cbModCodBarras = new JComboBox(new Object[] {});
		cbModCodBarras.setModel(new DefaultComboBoxModel(new String[] { "EAN-13", "UPC-A", "UPC-E", "EAN-8", "CODABAR",
				"CODE39", "CODE93", "ITF-25", "CODE128", "EAN128" }));
		cbModCodBarras.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbModCodBarras.setBounds(93, 75, 88, 24);

		panel_8.add(cbModCodBarras);

		JLabel lblAltura = new JLabel("Altura");
		lblAltura.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblAltura.setBounds(187, 57, 46, 16);
		panel_8.add(lblAltura);

		cbAltBarras = new JComboBox(new Object[] {});
		cbAltBarras.setModel(new DefaultComboBoxModel(new String[] { "2", "0", "1" }));
		cbAltBarras.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbAltBarras.setBounds(185, 75, 46, 24);
		panel_8.add(cbAltBarras);

		JLabel lblLarg = new JLabel("Largura");
		lblLarg.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblLarg.setBounds(239, 57, 55, 16);
		panel_8.add(lblLarg);

		cbLargBarras = new JComboBox(new Object[] {});
		cbLargBarras.setModel(new DefaultComboBoxModel(new String[] { "2", "0", "1", "3" }));
		cbLargBarras.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbLargBarras.setBounds(239, 75, 46, 24);
		panel_8.add(cbLargBarras);

		JLabel lblLeituraHumana = new JLabel("Leitura Humana");
		lblLeituraHumana.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblLeituraHumana.setBounds(297, 57, 93, 16);
		panel_8.add(lblLeituraHumana);

		cbLHBarras = new JComboBox(new Object[] {});
		cbLHBarras.setModel(new DefaultComboBoxModel(new String[] { "2-ABAIXO", "0-NAO", "1-ACIMA", "3-AMBOS" }));
		cbLHBarras.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbLHBarras.setBounds(296, 75, 88, 24);
		panel_8.add(cbLHBarras);

		panel_9 = new JPanel();
		panel_9.setLayout(null);
		panel_9.setBorder(new LineBorder(new Color(0, 0, 0), 1, true));
		panel_9.setBounds(10, 474, 390, 135);
		contentPane.add(panel_9);

		lblComandotx = new JLabel("ComandoTX");
		lblComandotx.setFont(new Font("Segoe UI", Font.BOLD, 12));
		lblComandotx.setBounds(6, 6, 72, 20);
		panel_9.add(lblComandotx);

		txComandoTx = new JTextField();
		txComandoTx.setBounds(6, 23, 256, 28);
		panel_9.add(txComandoTx);
		txComandoTx.setColumns(10);

		btnComandotx = new JButton("ComandoTx");
		btnComandotx.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {

				int status;

				status = dll.ComandoTx(txComandoTx.getText().toString());
				if (status == 1) {
					JOptionPane.showMessageDialog(null, "Comando enviado com sucesso!");
				}

			}
		});
		btnComandotx.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnComandotx.setBounds(263, 23, 121, 24);
		panel_9.add(btnComandotx);

		lblPermiteEnviarComandos = new JLabel("Permite enviar comandos para a impressora no formato de string repre-");
		lblPermiteEnviarComandos.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblPermiteEnviarComandos.setBounds(6, 67, 378, 16);
		panel_9.add(lblPermiteEnviarComandos);

		lblValorDoTipo = new JLabel("sentando um valor do tipo Decimal. Cada valor deve estar separado");
		lblValorDoTipo.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblValorDoTipo.setBounds(6, 84, 378, 16);
		panel_9.add(lblValorDoTipo);

		lblVrgulaEx = new JLabel("por v\u00EDrgula. Ex: 27,105");
		lblVrgulaEx.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblVrgulaEx.setBounds(6, 101, 191, 16);
		panel_9.add(lblVrgulaEx);

		JPanel panel_10 = new JPanel();
		panel_10.setBorder(new LineBorder(new Color(0, 0, 0), 1, true));
		panel_10.setBounds(405, 11, 529, 170);
		contentPane.add(panel_10);
		panel_10.setLayout(null);

		JLabel lblComandosDeTexto = new JLabel("Comandos de Texto");
		lblComandosDeTexto.setFont(new Font("Segoe UI", Font.BOLD, 12));
		lblComandosDeTexto.setBounds(6, 6, 120, 20);
		panel_10.add(lblComandosDeTexto);

		JLabel label_2 = new JLabel("Posi\u00E7\u00E3o");
		label_2.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		label_2.setBounds(89, 27, 55, 16);
		panel_10.add(label_2);

		cbPosTx = new JComboBox(new Object[] {});
		cbPosTx.setModel(new DefaultComboBoxModel(new String[] { "Centro", "Direita", "Esquerda" }));
		cbPosTx.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbPosTx.setBounds(89, 45, 82, 24);
		panel_10.add(cbPosTx);

		JLabel lblFonte = new JLabel("Fonte");
		lblFonte.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblFonte.setBounds(10, 27, 55, 16);
		panel_10.add(lblFonte);

		cbFonteTx = new JComboBox(new Object[] {});
		cbFonteTx.setModel(new DefaultComboBoxModel(new String[] { "Fonte A", "Fonte B" }));
		cbFonteTx.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbFonteTx.setBounds(6, 45, 74, 24);
		panel_10.add(cbFonteTx);

		JLabel lblEspLinha = new JLabel("Esp Linha");
		lblEspLinha.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblEspLinha.setBounds(183, 27, 55, 16);
		panel_10.add(lblEspLinha);

		cbEspLTx = new JComboBox(new Object[] {});
		cbEspLTx.setModel(new DefaultComboBoxModel(new String[] { "0", "1", "2", "3", "4", "5", "6" }));
		cbEspLTx.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbEspLTx.setBounds(181, 45, 55, 24);
		panel_10.add(cbEspLTx);

		JLabel lblNegrito = new JLabel("Negrito");
		lblNegrito.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblNegrito.setBounds(245, 27, 55, 16);
		panel_10.add(lblNegrito);

		cbNegritoTx = new JComboBox(new Object[] {});
		cbNegritoTx.setModel(new DefaultComboBoxModel(new String[] { "Nao", "Sim" }));
		cbNegritoTx.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbNegritoTx.setBounds(245, 45, 55, 24);
		panel_10.add(cbNegritoTx);

		JLabel lblTxFormatado = new JLabel("Tx Formatado");
		lblTxFormatado.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblTxFormatado.setBounds(309, 27, 93, 16);
		panel_10.add(lblTxFormatado);

		cbTxFormatado = new JComboBox(new Object[] {});
		cbTxFormatado.setModel(new DefaultComboBoxModel(new String[] { "1-Fonte-B", "2-Fonte-A", "3-Largura Dupla",
				"4-Altura Dupla", "5-Alt/Larg Dupla", "6-Sublinhado" }));
		cbTxFormatado.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbTxFormatado.setBounds(308, 45, 122, 24);
		panel_10.add(cbTxFormatado);

		txAvLinhas = new JTextField();
		txAvLinhas.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		txAvLinhas.setColumns(10);
		txAvLinhas.setBounds(438, 45, 81, 24);
		panel_10.add(txAvLinhas);

		JLabel lblAvanoLinhas = new JLabel("Avan\u00E7o Linhas");
		lblAvanoLinhas.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblAvanoLinhas.setBounds(442, 27, 81, 16);
		panel_10.add(lblAvanoLinhas);

		JLabel lblInformeAString = new JLabel("Informe a String a ser Impressa. Comando ImprimeTX");
		lblInformeAString.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblInformeAString.setBounds(10, 75, 290, 16);
		panel_10.add(lblInformeAString);

		txImpTexto = new JTextField();
		txImpTexto.setText("Teste de Impressao. Comando ImprimeTX");
		txImpTexto.setColumns(10);
		txImpTexto.setCaretPosition(0);
		txImpTexto.setBounds(6, 95, 396, 28);
		panel_10.add(txImpTexto);

		btnExCupom = new JButton("Exemplo Cupom");
		btnExCupom.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {

				String sTexo;

				sTexto = "FIORELLA COMERCIO DE COSMETICOS LTDA" + '\n'
						+ "CNPJ: 90.180.621/0001-97 Inscrio Estadual: 1650026460" + '\n'
						+ "Rua: RUA TEREZINHA, Nmero: 784 Bairro: CENTRO" + '\n'
						+ "Cidade: ALVORADA - RS Fone: (00)0000-0000" + '\n'
						+ "----------------------------------------------------------------" + '\n'
						+ "   DOCUMENTO AUXILIAR DA NOTA FISCAL DE CONSUMIDOR ELETRONICA   " + '\n'
						+ "----------------------------------------------------------------" + '\n'
						+ "---CODIGO---- DESCRICAO                        QNT UN UNIT TOTAL" + '\n'
						+ "________________________________________________________________" + '\n'
						+ "7896213305123 ACETONA BEIRA ALTA 1               1 UN 3,20  3,20" + '\n'
						+ "7896213305123 ACETONA BEIRA ALTA 2               1 UN 3,20  3,20" + '\n'
						+ "7896213305123 ACETONA BEIRA ALTA 3               1 UN 3,20  3,20" + '\n'
						+ "7896213305123 ACETONA BEIRA ALTA 4               1 UN 3,20  3,20" + '\n'
						+ "7896213305123 ACETONA BEIRA ALTA 5               1 UN 3,20  3,20" + '\n'
						+ "7896213305123 ACETONA BEIRA ALTA 6               1 UN 3,20  3,20" + '\n'
						+ "7896213305123 ACETONA BEIRA ALTA 7               1 UN 3,20  3,20" + '\n'
						+ "7896213305123 ACETONA BEIRA ALTA 8               1 UN 3,20  3,20" + '\n'
						+ "7896213305123 ACETONA BEIRA ALTA 9               1 UN 3,20  3,20" + '\n'
						+ "7896213305123 ACETONA BEIRA ALTA10               1 UN 3,20  3,20" + '\n'
						+ "----------------------------------------------------------------" + '\n'
						+ "QTD. TOTAL DE ITENS                                           10" + '\n'
						+ "VALOR TOTAL R$                                             32,00" + '\n' + '\n'
						+ "FORMA DE PAGAMENTO                                    Valor Pago" + '\n'
						+ "Dinheiro                                                   32,00" + '\n'
						+ "----------------------------------------------------------------" + '\n'
						+ "     EMITIDA EM AMBIENTE DE HOMOLOGACAO - SEM VALOR FISCAL      " + '\n'
						+ "----------------------------------------------------------------" + '\n'
						+ "Numero: 22335 Serie: 30 Emissao: 07/07/2016 13:40:17" + '\n' + "Via Consumidor" + '\n'
						+ "Consulte pela Chave de Acesso em:" + '\n' + "https://www.sefaz.rs.gov.br/NFCE/NFCE-COM.aspx"
						+ '\n' + "4316 0790 1806 2100 0197 6503 0000 0223 3510 0022 3350" + '\n'
						+ "Protocolo de Autorizacao: 143160000750319 07/07/2016 13:40:54" + '\n';

				dll.ImprimeTexto(sTexto, 1, 1, 0, 0);

				if (cbxModImp.getModel().getSelectedItem().toString() == "ZP300") {

					dll.ImprimeCode128_C(txCode128C.getText().toString().trim(), 1, 1, 2);

				} else {

					dll.ImprimeCode128C(txCode128C.getText().toString().trim(), 1, 1);
				}

				sTexto = "----------------------------------------------------------------" + '\n'
						+ "                  CONSUMIDOR NAO IDENTIFICADO                   " + '\n'
						+ "----------------------------------------------------------------" + '\n';
				// String , Posicao, Fonte, espacamento Linha, Negrito

				dll.ImprimeTexto(sTexto, 1, 1, 0, 0);

				if ((cbxModImp.getModel().getSelectedItem().toString() == "ZP80-UBT")
						|| (cbxModImp.getModel().getSelectedItem().toString() == "ZP80-UW")
						|| (cbxModImp.getModel().getSelectedItem().toString() == "ZP220-UBT")) {

					dll.ImprimeQRCODE_M2(1, 1, 4, 0,
							"https://www.sefaz.rs.gov.br/NFCE/NFCE-COM.aspx?chNFe=43160790180621000197650300000223351000223350&nVersao=100&tpAmb=2&dhEmi=323031362D30372D30375431333A34303A31372D30333A3030&vNF=3.20&vICMS=0.22"
									+ "&digVal=4D6450533936736971684E466A39504E55574B4D673559643252633D&cIdToken=000001&cHashQRCode=7566CE2FB30DC61CBE55C15296B8C6B275AB623A");

				} else {

					dll.ImprimeQRCODE_M1(1, 1, 4, 0,
							"https://www.sefaz.rs.gov.br/NFCE/NFCE-COM.aspx?chNFe=43160790180621000197650300000223351000223350&nVersao=100&tpAmb=2&dhEmi=323031362D30372D30375431333A34303A31372D30333A3030&vNF=3.20&vICMS=0.22"
									+ "&digVal=4D6450533936736971684E466A39504E55574B4D673559643252633D&cIdToken=000001&cHashQRCode=7566CE2FB30DC61CBE55C15296B8C6B275AB623A");

				}

				sTexto = "----------------------------------------------------------------" + '\n'
						+ "PROCON: AV. ARNALDO ECKERT, N 170" + '\n' + "B. CAMPO REAL II, CAMPO VERDE-MT" + '\n'
						+ "TELEFONE: (66) 3419 - 3481" + '\n' + "Ope: 01 - LARISSA" + '\n'
						+ "----------------------------------------------------------------" + '\n'
						+ "Operador: 1 - LARISSA                         Emp: 001  PDV: 030" + '\n'
						+ "----------------------------------------------------------------" + '\n' + '\n' + '\n' + '\n'
						+ '\n';

				dll.ImprimeTexto(sTexto, 1, 1, 0, 0);

				dll.AcionaGuilhotina();

			}
		});
		btnExCupom.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnExCupom.setBounds(6, 124, 120, 24);
		panel_10.add(btnExCupom);

		btnStrLen = new JButton("StrLen");
		btnStrLen.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {

				int tamString = 0;

				tamString = dll.strlen1(txImpTexto.getText().toString().trim());
				JOptionPane.showMessageDialog(null, "Tamanho String: " + Integer.toString(tamString));

			}
		});
		btnStrLen.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnStrLen.setBounds(129, 124, 61, 24);
		panel_10.add(btnStrLen);

		btnImpTexto = new JButton("ImprimeTx");
		btnImpTexto.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {

				int iPosTx = 0, iFonteTx = 0, iEspL = 0, iNegrito = 0;

				if (cbPosTx.getSelectedItem().toString() == "Esquerda") {
					iPosTx = 0;
				} else if (cbPosTx.getSelectedItem().toString() == "Centro") {
					iPosTx = 1;
				} else if (cbPosTx.getSelectedItem().toString() == "Direita") {
					iPosTx = 2;
				}

				if (cbFonteTx.getSelectedItem().toString() == "Fonte A") {
					iFonteTx = 0;
				} else if (cbFonteTx.getSelectedItem().toString() == "Fonte B") {
					iFonteTx = 1;
				}

				if (cbEspLTx.getSelectedItem().toString() == "0") {
					iEspL = 0;
				} else if (cbEspLTx.getSelectedItem().toString() == "1") {
					iEspL = 1;
				} else if (cbEspLTx.getSelectedItem().toString() == "2") {
					iEspL = 2;
				} else if (cbEspLTx.getSelectedItem().toString() == "3") {
					iEspL = 3;
				} else if (cbEspLTx.getSelectedItem().toString() == "4") {
					iEspL = 4;
				} else if (cbEspLTx.getSelectedItem().toString() == "5") {
					iEspL = 5;
				} else if (cbEspLTx.getSelectedItem().toString() == "6") {
					iEspL = 6;
				}

				if (cbNegritoTx.getSelectedItem().toString() == "Nao") {
					iNegrito = 0;
				} else if (cbNegritoTx.getSelectedItem().toString() == "Sim") {
					iNegrito = 1;
				}

				dll.ImprimeTexto(txImpTexto.getText().toString().trim(), iPosTx, iFonteTx, iEspL, iNegrito);

			}
		});
		btnImpTexto.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnImpTexto.setBounds(193, 124, 85, 24);
		panel_10.add(btnImpTexto);

		btn180 = new JButton("180\u00B0");
		btn180.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {

				int iPosTx = 0, iFonteTx = 0, iEspL = 0, iNegrito = 0;

				if (cbPosTx.getSelectedItem().toString() == "Esquerda") {
					iPosTx = 0;
				} else if (cbPosTx.getSelectedItem().toString() == "Centro") {
					iPosTx = 1;
				} else if (cbPosTx.getSelectedItem().toString() == "Direita") {
					iPosTx = 2;
				}

				if (cbFonteTx.getSelectedItem().toString() == "Fonte A") {
					iFonteTx = 0;
				} else if (cbFonteTx.getSelectedItem().toString() == "Fonte B") {
					iFonteTx = 1;
				}

				if (cbEspLTx.getSelectedItem().toString() == "0") {
					iEspL = 0;
				} else if (cbEspLTx.getSelectedItem().toString() == "1") {
					iEspL = 1;
				} else if (cbEspLTx.getSelectedItem().toString() == "2") {
					iEspL = 2;
				} else if (cbEspLTx.getSelectedItem().toString() == "3") {
					iEspL = 3;
				} else if (cbEspLTx.getSelectedItem().toString() == "4") {
					iEspL = 4;
				} else if (cbEspLTx.getSelectedItem().toString() == "5") {
					iEspL = 5;
				} else if (cbEspLTx.getSelectedItem().toString() == "6") {
					iEspL = 6;
				}

				if (cbNegritoTx.getSelectedItem().toString() == "Nao") {
					iNegrito = 0;
				} else if (cbNegritoTx.getSelectedItem().toString() == "Sim") {
					iNegrito = 1;
				}

				dll.ImprimeTexto180(txImpTexto.getText().toString().trim(), iPosTx, iFonteTx, iEspL, iNegrito);

			}
		});
		btn180.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btn180.setBounds(282, 124, 55, 24);
		panel_10.add(btn180);

		btnTextolf = new JButton("TextoLF");
		btnTextolf.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {

				int iPosTx = 0, iFonteTx = 0, iEspL = 0, iNegrito = 0;

				if (cbPosTx.getSelectedItem().toString() == "Esquerda") {
					iPosTx = 0;
				} else if (cbPosTx.getSelectedItem().toString() == "Centro") {
					iPosTx = 1;
				} else if (cbPosTx.getSelectedItem().toString() == "Direita") {
					iPosTx = 2;
				}

				if (cbFonteTx.getSelectedItem().toString() == "Fonte A") {
					iFonteTx = 0;
				} else if (cbFonteTx.getSelectedItem().toString() == "Fonte B") {
					iFonteTx = 1;
				}

				if (cbEspLTx.getSelectedItem().toString() == "0") {
					iEspL = 0;
				} else if (cbEspLTx.getSelectedItem().toString() == "1") {
					iEspL = 1;
				} else if (cbEspLTx.getSelectedItem().toString() == "2") {
					iEspL = 2;
				} else if (cbEspLTx.getSelectedItem().toString() == "3") {
					iEspL = 3;
				} else if (cbEspLTx.getSelectedItem().toString() == "4") {
					iEspL = 4;
				} else if (cbEspLTx.getSelectedItem().toString() == "5") {
					iEspL = 5;
				} else if (cbEspLTx.getSelectedItem().toString() == "6") {
					iEspL = 6;
				}

				if (cbNegritoTx.getSelectedItem().toString() == "Nao") {
					iNegrito = 0;
				} else if (cbNegritoTx.getSelectedItem().toString() == "Sim") {
					iNegrito = 1;
				}

				dll.ImprimeTextoLF(txImpTexto.getText().toString().trim(), iPosTx, iFonteTx, iEspL, iNegrito,
						Integer.parseInt(txAvLinhas.getText().toString().trim()));

			}
		});
		btnTextolf.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnTextolf.setBounds(423, 73, 99, 24);
		panel_10.add(btnTextolf);

		btnTxInvertido = new JButton("TxInvertido");
		btnTxInvertido.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {

				int iPosTx = 0, iFonteTx = 0, iEspL = 0;

				if (cbPosTx.getSelectedItem().toString() == "Esquerda") {
					iPosTx = 0;
				} else if (cbPosTx.getSelectedItem().toString() == "Centro") {
					iPosTx = 1;
				} else if (cbPosTx.getSelectedItem().toString() == "Direita") {
					iPosTx = 2;
				}

				if (cbFonteTx.getSelectedItem().toString() == "Fonte A") {
					iFonteTx = 0;
				} else if (cbFonteTx.getSelectedItem().toString() == "Fonte B") {
					iFonteTx = 1;
				}

				if (cbEspLTx.getSelectedItem().toString() == "0") {
					iEspL = 0;
				} else if (cbEspLTx.getSelectedItem().toString() == "1") {
					iEspL = 1;
				} else if (cbEspLTx.getSelectedItem().toString() == "2") {
					iEspL = 2;
				} else if (cbEspLTx.getSelectedItem().toString() == "3") {
					iEspL = 3;
				} else if (cbEspLTx.getSelectedItem().toString() == "4") {
					iEspL = 4;
				} else if (cbEspLTx.getSelectedItem().toString() == "5") {
					iEspL = 5;
				} else if (cbEspLTx.getSelectedItem().toString() == "6") {
					iEspL = 6;
				}

				dll.ImprimeTextoInvertido(txImpTexto.getText().toString().trim(), iPosTx, iFonteTx, iEspL);

			}
		});
		btnTxInvertido.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnTxInvertido.setBounds(423, 98, 99, 24);
		panel_10.add(btnTxInvertido);

		btnTxformatado = new JButton("txFormatado");
		btnTxformatado.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {

				int iPosTx = 0, iTxFormatado = 0, iEspL = 0;

				if (cbPosTx.getSelectedItem().toString() == "Esquerda") {
					iPosTx = 0;
				} else if (cbPosTx.getSelectedItem().toString() == "Centro") {
					iPosTx = 1;
				} else if (cbPosTx.getSelectedItem().toString() == "Direita") {
					iPosTx = 2;
				}

				if (cbEspLTx.getSelectedItem().toString() == "0") {
					iEspL = 0;
				} else if (cbEspLTx.getSelectedItem().toString() == "1") {
					iEspL = 1;
				} else if (cbEspLTx.getSelectedItem().toString() == "2") {
					iEspL = 2;
				} else if (cbEspLTx.getSelectedItem().toString() == "3") {
					iEspL = 3;
				} else if (cbEspLTx.getSelectedItem().toString() == "4") {
					iEspL = 4;
				} else if (cbEspLTx.getSelectedItem().toString() == "5") {
					iEspL = 5;
				} else if (cbEspLTx.getSelectedItem().toString() == "6") {
					iEspL = 6;
				}

				if (cbTxFormatado.getSelectedItem().toString() == "1-Fonte-B") {
					iTxFormatado = 1;
				} else if (cbTxFormatado.getSelectedItem().toString() == "2-Fonte-A") {
					iTxFormatado = 2;
				} else if (cbTxFormatado.getSelectedItem().toString() == "3-Largura Dupla") {
					iTxFormatado = 3;
				} else if (cbTxFormatado.getSelectedItem().toString() == "4-Altura Dupla") {
					iTxFormatado = 4;
				} else if (cbTxFormatado.getSelectedItem().toString() == "5-Alt/Larg Dupla") {
					iTxFormatado = 5;
				} else if (cbTxFormatado.getSelectedItem().toString() == "6-Sublinhado") {
					iTxFormatado = 6;
				}

				dll.ImprimeTxFormatado(txImpTexto.getText().toString().trim(), iPosTx, iEspL, iTxFormatado);
			}
		});
		btnTxformatado.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnTxformatado.setBounds(423, 124, 99, 24);
		panel_10.add(btnTxformatado);

		JPanel panel_11 = new JPanel();
		panel_11.setBorder(new LineBorder(new Color(0, 0, 0), 1, true));
		panel_11.setBounds(405, 186, 529, 143);
		contentPane.add(panel_11);
		panel_11.setLayout(null);

		JLabel lblComandosQr = new JLabel("Comandos QR");
		lblComandosQr.setFont(new Font("Segoe UI", Font.BOLD, 12));
		lblComandosQr.setBounds(6, 6, 89, 20);
		panel_11.add(lblComandosQr);

		JLabel lblPosioQr = new JLabel("Posi\u00E7\u00E3o QR");
		lblPosioQr.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblPosioQr.setBounds(6, 30, 70, 16);
		panel_11.add(lblPosioQr);

		cbPosQR = new JComboBox(new Object[] {});
		cbPosQR.setModel(new DefaultComboBoxModel(new String[] { "Centro", "Direita", "Esquerda" }));
		cbPosQR.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbPosQR.setBounds(6, 48, 82, 24);
		panel_11.add(cbPosQR);

		lblModQr = new JLabel("Mod QR");
		lblModQr.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblModQr.setBounds(97, 30, 55, 16);
		panel_11.add(lblModQr);

		cbModQR = new JComboBox(new Object[] {});
		cbModQR.setModel(new DefaultComboBoxModel(new String[] { "2", "1" }));
		cbModQR.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbModQR.setBounds(95, 48, 55, 24);
		panel_11.add(cbModQR);

		lblTamQr = new JLabel("Tam QR");
		lblTamQr.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblTamQr.setBounds(159, 30, 55, 16);
		panel_11.add(lblTamQr);

		cbTamQR = new JComboBox(new Object[] {});
		cbTamQR.setModel(new DefaultComboBoxModel(new String[] { "4", "1", "2", "3", "5", "6", "7" }));
		cbTamQR.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbTamQR.setBounds(159, 48, 55, 24);
		panel_11.add(cbTamQR);

		lblNvelCorreo = new JLabel("N\u00EDvel Corre\u00E7\u00E3o");
		lblNvelCorreo.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblNvelCorreo.setBounds(221, 30, 93, 16);
		panel_11.add(lblNvelCorreo);

		cbNcQR = new JComboBox(new Object[] {});
		cbNcQR.setModel(new DefaultComboBoxModel(new String[] { "L-7%", "M-15%", "Q-25%", "H-30%" }));
		cbNcQR.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbNcQR.setBounds(220, 48, 94, 24);
		panel_11.add(cbNcQR);

		lblInformeAString_1 = new JLabel("Informe a String a ser Impressa via QRCode.");
		lblInformeAString_1.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblInformeAString_1.setBounds(9, 77, 290, 16);
		panel_11.add(lblInformeAString_1);

		txStringQR = new JTextField();
		txStringQR.setText(
				"https://www.sefaz.rs.gov.br/NFCE/NFCE-COM.aspx?chNFe=43160790180621000197650300000223351000223350&nVersao=100&tpAmb=2&dhEmi=323031362D30372D30375431333A34303A31372D30333A3030&vNF=3.20&vICMS=0.22&digVal=4D6450533936736971684E466A39504E55574B4D673559643252633D&cIdToken=000001&cHashQRCode=7566CE2FB30DC61CBE55C15296B8C6B275AB623A");
		txStringQR.setColumns(10);
		txStringQR.setCaretPosition(0);
		txStringQR.setBounds(6, 97, 396, 28);
		panel_11.add(txStringQR);

		lblZp = new JLabel("ZP250/200/300/500");
		lblZp.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblZp.setBounds(405, 30, 111, 16);
		panel_11.add(lblZp);

		btnImpQRM1 = new JButton("ImprimeQR_M1");
		btnImpQRM1.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {

				int iPosQR = 0, iModQR = 0, iTamQR = 0, iNcQR = 0;

				if (cbPosQR.getSelectedItem().toString() == "Esquerda") {
					iPosQR = 0;
				} else if (cbPosQR.getSelectedItem().toString() == "Centro") {
					iPosQR = 1;
				} else if (cbPosQR.getSelectedItem().toString() == "Direita") {
					iPosQR = 2;
				}

				if (cbNcQR.getSelectedItem().toString() == "L-7%") {
					iNcQR = 0;
				} else if (cbNcQR.getSelectedItem().toString() == "M-15%") {
					iNcQR = 1;
				} else if (cbNcQR.getSelectedItem().toString() == "Q-25%") {
					iNcQR = 2;
				} else if (cbNcQR.getSelectedItem().toString() == "H-30%") {
					iNcQR = 3;
				}

				dll.ImprimeQRCODE_M1(iPosQR, Integer.parseInt(cbModQR.getSelectedItem().toString()),
						Integer.parseInt(cbTamQR.getSelectedItem().toString()), iNcQR,
						txStringQR.getText().toString().trim());

			}
		});
		btnImpQRM1.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnImpQRM1.setBounds(405, 58, 111, 24);
		panel_11.add(btnImpQRM1);

		lblZp_1 = new JLabel("ZP80/ZP220");
		lblZp_1.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblZp_1.setBounds(430, 91, 70, 16);
		panel_11.add(lblZp_1);

		btnImpQR_M2 = new JButton("ImprimeQR_M2");
		btnImpQR_M2.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {

				int iPosQR = 0, iModQR = 0, iTamQR = 0, iNcQR = 0;

				if (cbPosQR.getSelectedItem().toString() == "Esquerda") {
					iPosQR = 0;
				} else if (cbPosQR.getSelectedItem().toString() == "Centro") {
					iPosQR = 1;
				} else if (cbPosQR.getSelectedItem().toString() == "Direita") {
					iPosQR = 2;
				}

				if (cbModQR.getSelectedItem().toString() == "1") {
					iModQR = 1;
				} else if (cbModQR.getSelectedItem().toString() == "2") {
					iModQR = 2;
				}

				if (cbTamQR.getSelectedItem().toString() == "1") {
					iTamQR = 1;
				} else if (cbTamQR.getSelectedItem().toString() == "2") {
					iTamQR = 2;
				} else if (cbTamQR.getSelectedItem().toString() == "3") {
					iTamQR = 3;
				} else if (cbTamQR.getSelectedItem().toString() == "4") {
					iTamQR = 4;
				} else if (cbTamQR.getSelectedItem().toString() == "5") {
					iTamQR = 5;
				} else if (cbTamQR.getSelectedItem().toString() == "6") {
					iTamQR = 6;
				} else if (cbTamQR.getSelectedItem().toString() == "7") {
					iTamQR = 7;
				}

				if (cbNcQR.getSelectedItem().toString() == "L-7%") {
					iNcQR = 0;
				} else if (cbNcQR.getSelectedItem().toString() == "M-15%") {
					iNcQR = 1;
				} else if (cbNcQR.getSelectedItem().toString() == "Q-25%") {
					iNcQR = 2;
				} else if (cbNcQR.getSelectedItem().toString() == "H-30%") {
					iNcQR = 3;
				}

				dll.ImprimeQRCODE_M2(iPosQR, iModQR, iTamQR, iNcQR, txStringQR.getText().toString().trim());

			}
		});
		btnImpQR_M2.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnImpQR_M2.setBounds(405, 114, 111, 24);
		panel_11.add(btnImpQR_M2);

		panel_12 = new JPanel();
		panel_12.setBorder(new LineBorder(new Color(0, 0, 0), 1, true));
		panel_12.setBounds(405, 334, 529, 135);
		contentPane.add(panel_12);
		panel_12.setLayout(null);

		lblComandosPdf = new JLabel("Comando PDF417-ZP80");
		lblComandosPdf.setFont(new Font("Segoe UI", Font.BOLD, 12));
		lblComandosPdf.setBounds(6, 6, 167, 20);
		panel_12.add(lblComandosPdf);

		lblPosioPdf = new JLabel("Posi\u00E7\u00E3o PDF");
		lblPosioPdf.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblPosioPdf.setBounds(6, 33, 70, 16);
		panel_12.add(lblPosioPdf);

		cbPosPDF = new JComboBox(new Object[] {});
		cbPosPDF.setModel(new DefaultComboBoxModel(new String[] { "Centro", "Direita", "Esquerda" }));
		cbPosPDF.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbPosPDF.setBounds(6, 51, 82, 24);
		panel_12.add(cbPosPDF);

		lblNCaracL = new JLabel("N\u00B0 Carac L");
		lblNCaracL.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblNCaracL.setBounds(97, 33, 63, 16);
		panel_12.add(lblNCaracL);

		cbNCarLinhas = new JComboBox(new Object[] {});
		cbNCarLinhas.setModel(new DefaultComboBoxModel(
				new String[] { "10", "1", "2", "3", "4", "5", "6", "7", "8", "9", "11", "12", "13", "14", "15", "16",
						"17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30" }));
		cbNCarLinhas.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbNCarLinhas.setBounds(95, 51, 64, 24);
		panel_12.add(cbNCarLinhas);

		lblRelXy = new JLabel("Rel XY");
		lblRelXy.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblRelXy.setBounds(175, 33, 55, 16);
		panel_12.add(lblRelXy);

		cbRelXY = new JComboBox(new Object[] {});
		cbRelXY.setModel(new DefaultComboBoxModel(new String[] { "5", "1", "2", "3", "4", "6" }));
		cbRelXY.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbRelXY.setBounds(175, 51, 55, 24);
		panel_12.add(cbRelXY);

		label_6 = new JLabel("N\u00EDvel Corre\u00E7\u00E3o");
		label_6.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		label_6.setBounds(249, 33, 93, 16);
		panel_12.add(label_6);

		cbNcPDF = new JComboBox(new Object[] {});
		cbNcPDF.setModel(new DefaultComboBoxModel(new String[] { "5", "0", "1", "2", "3", "4", "6", "7", "8" }));
		cbNcPDF.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbNcPDF.setBounds(248, 51, 94, 24);
		panel_12.add(cbNcPDF);

		lblInformeAString_2 = new JLabel("Informe a String a ser Impressa via PDF417.");
		lblInformeAString_2.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblInformeAString_2.setBounds(9, 80, 290, 16);
		panel_12.add(lblInformeAString_2);

		txImpPDF = new JTextField();
		txImpPDF.setText("1234567890ABC");
		txImpPDF.setColumns(10);
		txImpPDF.setCaretPosition(0);
		txImpPDF.setBounds(6, 100, 396, 28);
		panel_12.add(txImpPDF);

		btnPDF417 = new JButton("PDF417");
		btnPDF417.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {

				int iPosPDF = 0, iNCarcL = 0, iXY = 0, iNcPDF = 0;

				if (cbPosPDF.getSelectedItem().toString() == "Esquerda") {
					iPosPDF = 0;
				} else if (cbPosPDF.getSelectedItem().toString() == "Centro") {
					iPosPDF = 1;
				} else if (cbPosPDF.getSelectedItem().toString() == "Direita") {
					iPosPDF = 2;
				}

				dll.ImprimePDF417_M2(iPosPDF, Integer.parseInt(cbNCarLinhas.getSelectedItem().toString()),
						Integer.parseInt(cbRelXY.getSelectedItem().toString()),
						Integer.parseInt(cbNcPDF.getSelectedItem().toString()), txImpPDF.getText().toString().trim());

			}
		});
		btnPDF417.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnPDF417.setBounds(405, 61, 111, 24);
		panel_12.add(btnPDF417);

		panel_13 = new JPanel();
		panel_13.setLayout(null);
		panel_13.setBorder(new LineBorder(new Color(0, 0, 0), 1, true));
		panel_13.setBounds(405, 474, 529, 135);
		contentPane.add(panel_13);

		lblComandoDatamatrixzp = new JLabel("Comando DataMatrix-ZP80");
		lblComandoDatamatrixzp.setFont(new Font("Segoe UI", Font.BOLD, 12));
		lblComandoDatamatrixzp.setBounds(6, 6, 167, 20);
		panel_13.add(lblComandoDatamatrixzp);

		lblPosioDmx = new JLabel("Posi\u00E7\u00E3o DMX");
		lblPosioDmx.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblPosioDmx.setBounds(6, 33, 70, 16);
		panel_13.add(lblPosioDmx);

		cbPosDMX = new JComboBox(new Object[] {});
		cbPosDMX.setModel(new DefaultComboBoxModel(new String[] { "Centro", "Direita", "Esquerda" }));
		cbPosDMX.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbPosDMX.setBounds(6, 51, 82, 24);
		panel_13.add(cbPosDMX);

		lblAltura_1 = new JLabel("Altura");
		lblAltura_1.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblAltura_1.setBounds(97, 33, 63, 16);
		panel_13.add(lblAltura_1);

		cbAltDMX = new JComboBox(new Object[] {});
		cbAltDMX.setModel(new DefaultComboBoxModel(new String[] { "0", "1", "2", "3", "4" }));
		cbAltDMX.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbAltDMX.setBounds(95, 51, 64, 24);
		panel_13.add(cbAltDMX);

		lblLargura = new JLabel("Largura");
		lblLargura.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblLargura.setBounds(175, 33, 55, 16);
		panel_13.add(lblLargura);

		cbLargDMX = new JComboBox(new Object[] {});
		cbLargDMX.setModel(new DefaultComboBoxModel(new String[] { "0", "1", "2", "3", "4" }));
		cbLargDMX.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbLargDMX.setBounds(175, 51, 55, 24);
		panel_13.add(cbLargDMX);

		lblTam = new JLabel("Tamanho DMX");
		lblTam.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblTam.setBounds(249, 33, 93, 16);
		panel_13.add(lblTam);

		cbTamDMX = new JComboBox(new Object[] {});
		cbTamDMX.setModel(new DefaultComboBoxModel(new String[] { "5", "1", "2", "3", "4", "6", "7" }));
		cbTamDMX.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		cbTamDMX.setBounds(248, 51, 94, 24);
		panel_13.add(cbTamDMX);

		lblInformeAString_3 = new JLabel("Informe a String a ser Impressa via DATAMATRIX.");
		lblInformeAString_3.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		lblInformeAString_3.setBounds(9, 80, 290, 16);
		panel_13.add(lblInformeAString_3);

		txImpDMX = new JTextField();
		txImpDMX.setText(
				"https://www.sefaz.rs.gov.br/NFCE/NFCE-COM.aspx?chNFe=43160790180621000197650300000223351000223350&nVersao=100&tpAmb=2&dhEmi=323031362D30372D30375431333A34303A31372D30333A3030&vNF=3.20&vICMS=0.22&digVal=4D6450533936736971684E466A39504E55574B4D673559643252633D&cIdToken=000001&cHashQRCode=7566CE2FB30DC61CBE55C15296B8C6B275AB623A");
		txImpDMX.setColumns(10);
		txImpDMX.setCaretPosition(0);
		txImpDMX.setBounds(6, 100, 396, 28);
		panel_13.add(txImpDMX);

		btnDatamatrix = new JButton("DataMatrix");
		btnDatamatrix.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {

				int iPosDMX = 0;

				if (cbPosDMX.getSelectedItem().toString() == "Esquerda") {
					iPosDMX = 0;
				} else if (cbPosDMX.getSelectedItem().toString() == "Centro") {
					iPosDMX = 1;
				} else if (cbPosDMX.getSelectedItem().toString() == "Direita") {
					iPosDMX = 2;
				}

				dll.ImprimeDataMatrix_M2(iPosDMX, Integer.parseInt(cbAltDMX.getSelectedItem().toString()),
						Integer.parseInt(cbLargDMX.getSelectedItem().toString()),
						Integer.parseInt(cbTamDMX.getSelectedItem().toString()), txImpDMX.getText().toString().trim());

			}
		});
		btnDatamatrix.setFont(new Font("Segoe UI", Font.PLAIN, 12));
		btnDatamatrix.setBounds(405, 61, 111, 24);
		panel_13.add(btnDatamatrix);

	}
}
